Cases
Get v1cases 1
GET
/
v1
/
cases
/
{uuid}
cURL
curl --request GET \
--url https://api.lighthousefh.com/v1/cases/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lighthousefh.com/v1/cases/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lighthousefh.com/v1/cases/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"data": {
"calls": [
{
"case_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"speaker_labels": "<unknown>",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deleted_at": "2023-11-07T05:31:56Z",
"duration": 123,
"file_format": "<string>",
"file_name": "<string>",
"file_path": "<string>",
"file_size": 123,
"provider_metadata": "<unknown>",
"transcript": "<unknown>",
"generation_feedback": [
{
"call_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generation_template_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_correct": true,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"corrected_content": "<string>",
"corrected_end_ms": 123,
"corrected_start_ms": 123,
"created_at": "2023-11-07T05:31:56Z",
"generation_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reviewed_at": "2023-11-07T05:31:56Z",
"reviewed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"insight_group_scores": [
{
"score": 123,
"templates": [
{
"generations": [
{
"content": "<string>",
"has_active_share_link": true,
"source_resource_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"confidence_score": 123,
"created_at": "2023-11-07T05:31:56Z",
"end_ms": 123,
"roleplay_run_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_ms": 123
}
],
"label": "<string>",
"score": 123,
"template_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
]
}
],
"case": {
"created_at": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_test": true,
"organization_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date_of_birth": "2023-12-25",
"date_of_death": "2023-12-25",
"date_of_service": "2023-12-25",
"deleted_at": "2023-11-07T05:31:56Z",
"deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"location_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"summary": "<string>"
},
"generation_templates": [
{
"allows_multiple_generations": true,
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_config": [
{
"group_descendants": true,
"occurring_is_positive": true
}
],
"display_name": "<string>",
"execution_params": {
"obituary": {}
},
"instructions": "<string>",
"is_user_specific": true,
"label": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generations": [
{
"content": "<string>",
"has_active_share_link": true,
"source_resource_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"confidence_score": 123,
"created_at": "2023-11-07T05:31:56Z",
"end_ms": 123,
"roleplay_run_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_ms": 123
}
],
"authorization_layer_entity_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"call_types": [],
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exact_phrases": [
{
"match_percentage": 123,
"phrase": "<string>"
}
],
"example_limit": 123,
"location_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scoring_strategy": {
"strategy": "binary"
},
"static_generations": [
{
"content": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignee_description": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"tasks": [
{
"case_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"is_completed": true,
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigned_to": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"completed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"due_at": "2023-12-25",
"generation_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"template_dependencies": [
{
"downstream_template_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"upstream_template_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"status": "<string>",
"status_code": 1,
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"status": "<string>",
"status_code": 1,
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Case UUID
⌘I
cURL
